/*
 * Created on 11.02.2005
 *
 */
package net.sit.dialog.cli;

import java.awt.BorderLayout;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JOptionPane;
import javax.swing.JScrollPane;

import org.apache.log4j.Logger;

/**
 * @author Christoph Sandhaus
 * 
 */
public class ClientGui {

    /**
     * Comment for <code>serialVersionUID</code>
     */

    static Logger logger = Logger.getLogger(ClientGui.class.getName());

    private static final long serialVersionUID = 3256442521143030329L;
    private JFrame frame;

    private JList list;
    private String serverIp;

    public ClientGui(Object[] message_list, final String serverIp) {
        // Elemente initialisieren
        this.serverIp = serverIp;
        frame = new JFrame("Dialog Client");

        list = new JList(message_list);
        list.setVisibleRowCount(-1);
        JScrollPane listScroller = new JScrollPane(list);
        //listScroller.setPreferredSize(new Dimension(250, 80));
        list.addMouseListener(new MouseAdapter() {
            public void mouseClicked(MouseEvent e) {
                if (e.getClickCount() == 2) {
                    ClientRMIConnector crc = new ClientRMIConnector(serverIp);
                    try {
                        crc.displayMessageDialog(list.getSelectedValue().toString());
                    } catch (ServerDownException e1) {
                        logger.debug("Server nicht erreichbar");
                        messageDialog("Server nicht erreichbar");
                    }
                }
            }

        });
        listScroller.setAlignmentX(JDialog.LEFT_ALIGNMENT);

        // ums aussehen kmmern
        frame.getContentPane().setLayout(new BorderLayout());

        // elemente dem frame hinzufgen. reihenfolge!!
        frame.getContentPane().add(listScroller,BorderLayout.CENTER);

        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.pack();
        frame.setVisible(true);
    }
    
    private void messageDialog(String string) {
        JOptionPane.showMessageDialog(null,
                string,
                "Fehler", JOptionPane.ERROR_MESSAGE);
        
    }

}
